function pstar = computepstar (X1, X2, Y1, Y2, W, theta)
% pstar = COMPUTEPSTAR (X1, X2) returns the w that maximizes Dlda.
% X1 is p x n, where n is the number of data points in class 1.
% X2 is p x n, where n is the number of data points in class 2.

	m1 = mean(Y1, 2);
	m2 = mean(Y2, 2);
	pstar = W \ (m2 - m1);
	pstar = pstar ./ norm(pstar);
end
